//
//  RootViewController.h
//  ThinkNear
//
//  Created by Adam Ernst on 3/7/11.
//  Copyright 2011 cosmicsoft. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>


@class TNOfferListRequestOperation;
@class MBProgressHUD;


@interface TNOfferListViewController : UIViewController <UITableViewDelegate, UITableViewDataSource, CLLocationManagerDelegate> {
    CLLocationManager *locationManager;
    TNOfferListRequestOperation *offerListRequestOperation;
    NSArray *offers;
    
    BOOL experiencedError;
    
    UITableView *tableView;
    UILabel *noneFoundLabel;
    UILabel *noneFoundExplanation;
    UITableViewCell *noOffersCell;
    UIBarButtonItem *refreshItem;
    MBProgressHUD *hud;
    
    UILabel *statusLabel;
    UIActivityIndicatorView *statusActivityIndicator;
}

@property (nonatomic, retain) IBOutlet UITableView *tableView;
@property (nonatomic, retain) IBOutlet UITableViewCell *noOffersCell;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *refreshItem;

- (IBAction)refresh;

@end
