//
//  TNOfferRequestOperation.h
//  ThinkNear
//
//  Created by Adam Ernst on 3/7/11.
//  Copyright 2011 cosmicsoft. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "TNRequestOperation.h"


@interface TNOfferListRequestOperation : TNRequestOperation {
    CLLocation *location;
    NSDate *date;
    NSString *category;
    NSString *draw;
    NSDecimalNumber *minimumDiscount;
    
    NSArray *offers;
}

- (id)initWithLocation:(CLLocation *)loc;

@property (nonatomic, retain) NSDate *date;
@property (nonatomic, copy) NSString *category;
@property (nonatomic, copy) NSString *draw;
@property (nonatomic, retain) NSDecimalNumber *minimumDiscount;

@property (nonatomic, retain, readonly) NSArray *offers;

@end
