//
//  TNClaimRequestOperation.h
//  ThinkNear
//
//  Created by Adam Ernst on 3/7/11.
//  Copyright 2011 cosmicsoft. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "TNRequestOperation.h"


@class TNOffer, TNClaim;


@interface TNClaimRequestOperation : TNRequestOperation {
    TNOffer *offer;
    CLLocation *location;
    TNClaim *claim;
}

- (id)initWithOffer:(TNOffer *)off location:(CLLocation *)loc;

@property (nonatomic, readonly, retain) TNClaim *claim;

@end
