//
//  TNOffer.h
//  ThinkNear
//
//  Created by Adam Ernst on 3/7/11.
//  Copyright 2011 cosmicsoft. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>


@class TNBusiness;


@interface TNOffer : NSObject <NSCoding> {
    
}

@property (nonatomic, readonly, retain) NSString *identifier;
@property (nonatomic, readonly, retain) NSString *title;
@property (nonatomic, readonly, retain) NSString *description;
@property (nonatomic, readonly, retain) NSNumber *discount;

@property (nonatomic, readonly, retain) TNBusiness *business;
@property (nonatomic, readonly, retain) CLLocation *location;

@property (nonatomic, readonly, retain) NSString *category;
@property (nonatomic, readonly, retain) NSArray *draws; // Of NSString

@property (nonatomic, readonly, retain) NSDate *published;
@property (nonatomic, readonly, retain) NSDate *expiration;
@property (nonatomic, readonly, retain) NSDate *rescindedAt;
@property (nonatomic, readonly, retain) NSDate *validFrom;
@property (nonatomic, readonly, retain) NSDate *validTo;

- (id)initWithJSONDictionary:(NSDictionary *)dict;

@end
